var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class icName extends APIBase {
    constructor() {
        super();
        this.utilsIcNameSve = system.getObject("service.utilsSve.utilsIcNameSve");
        this.orderproductSve = system.getObject("service.order.orderproductSve");
    }
    async getVat(pobj, qobj, req) {
        if(!pobj){
            return system.getConsoleResultFail(-100, "参数异常");
        }
        var userId = null;
        userId=pobj.openId || pobj.uin;
        if(!userId){
            return system.getConsoleResultFail(-100, "用户id不能为空");
        }
        var count = await this.orderproductSve.dao.findCount({ where: {user_id: userId, product_type: { [this.db.Op.like]: "%/qcfw/%" } } });//增值电信产品数量
        var resData = {
            "nums": count, // 产品使用数量
            "isOpen": 1, // 0未开通此产品；1已开通此产品
            "unit": "次" // 产品使用数量单位
        };
        return system.getConsoleResultSuccess(resData);
    }
    async getBusinessRegistration(pobj, qobj, req) {
        if(!pobj){
            return system.getConsoleResultFail(-100, "参数异常");
        }
        var userId = null;
        userId=pobj.openId || pobj.uin;
        if(!userId){
            return system.getConsoleResultFail(-100, "用户id不能为空");
        }
        var count = await this.orderproductSve.dao.findCount({ where: {user_id: userId, product_type: { [this.db.Op.like]: "%/ic/%" } } });//增值电信产品数量
        var resData = {
            "nums": count, // 产品使用数量
            "isOpen": 1, // 0未开通此产品；1已开通此产品
            "unit": "次" // 产品使用数量单位
        };
        return system.getConsoleResultSuccess(resData);
    }
}
module.exports = icName;
